#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    int n;
    string a;
    cin >> n;
    for(int i = 1; i < n; i++){
        cin >> a >> a >> a;
    }
    cout << 0;
    return 0;
}